Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.collections
Interface MapIndex

public interface MapIndex
extends KeyedCollectionIndex, KeyedCollectionIndexS

The index behavior for a Map.. The index behavior for a Map.

Method Summary
`java.lang.Object` | `getKey()` The getKey message returns the key value associated with the current location of the index.
`int` | `getKeyValue()` The getKeyValue message returns the integer value associated with the current location of the index.
`java.lang.Object` | `setKey(java.lang.Object aKey)` The setKey: messages repositions the index to an entry having a key value that matches its argument.

Methods inherited from interface swarm.collections.Index
`compare, findNext, findPrev, get, getCollection, getLoc, getOffset, next, prev, put, remove, setLoc, setOffset`

Methods inherited from interface swarm.defobj.DefinedObject
`describe, describeID, getDisplayName, getTypeName, getZone, perform, perform$with, perform$with$with, perform$with$with$with, respondsTo, setDisplayName, xfprint, xfprintid, xprint, xprintid`

Methods inherited from interface swarm.defobj.Drop
`drop`

Methods inherited from interface swarm.defobj.GetName
`getName`

Method Detail

### setKey

    public java.lang.Object setKey(java.lang.Object aKey)

  The setKey: messages repositions the index to an entry having a key value that matches its argument. If there is more than one entry matching this key value, the index is positioned to the first entry that matches.

### getKey

    public java.lang.Object getKey()

  The getKey message returns the key value associated with the current location of the index. It returns nil if the index is not currently positioned at a member.

### getKeyValue

    public int getKeyValue()

  The getKeyValue message returns the integer value associated with the current location of the index. It is exactly like getKey, except the value is returned as an integer. (A common application of this method is to get a Schedule time value associated with an Action in Java.)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD